Subject: bug#34127: 26.1.91; Redisplay issues with tramp

From: Tim Blackman <[email-masked]>
Date: Wed, 23 Jan 2019 08:14:56 -0500

On Jan 22, 2019, at 5:54 PM, Michael Albinus <[email-masked]> wrote:

>> I tried the 1/22/2019 nightly from emacsforosx.com, but tramp didn't
>> work as expected. It reports its version number as 27.0.50 — is that
>> the right one to try?
>> 
>> In the 26.1 pretest, I did:
>> 
>>  C-x C-f /scp:slc:
>> 
>> (slc is my remote hostname).
>> 
>> That produced the blanking behavior I described
>> 
>> But in the nightly, this just says that the directory is not found —
>> seems to think I mean a local directory.
>> 
>> Did something change (again) about tramp syntax?
> 
> No Tramp syntax change between Emacs 26 and 27.

Huh.

> Have you tried to enter <RET> then? What is the exact error message?
> 
> (And again, do you see *this* message also with "emacs -Q"?)

I started up the nightly by doing:

  open /Volumes/Emacs/Emacs.app/ --args -Q

I did:

  C-x C-f /scp:slc:<RET>

The message area displayed:

  File not found and directory write-protected

The buffer showing was named "scp:slc:", so it seemed to think I was talking about a local file. That's why I was wondering if there was a syntax change.

Note that when I type C-x C-f in the pretest version, the default directory is "~/", but it is "/" in the nightly. Not sure if that is significant. Sorry we are getting into what seems like some sort of unrelated confusion.

I was able to reproduce the redisplay problem with the nightly version of Emacs when I didn't use -Q, so my guess is that there is something wonky (and unrelated) going on at startup.

- Tim